Skip to main content
POST
/
v1
/
installations
/
me
Create a client installation
curl --request POST \
  --url https://external.pleo.io/v1/installations/me \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json;charset=UTF-8' \
  --data '
{
  "metadata": {
    "externalConfigurationId": "123456789"
  },
  "status": "ACTIVATED"
}
'
{
  "applicationId": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2021-01-01T00:00:00Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "metadata": {
    "key": "value"
  },
  "resource": "urn:pleo:company:123e4567-e89b-12d3-a456-426614174000",
  "status": "ACTIVATED",
  "updatedAt": "2021-01-01T00:00:00Z",
  "errorCode": "NOT_ENTITLED"
}

Documentation Index

Fetch the complete documentation index at: https://pleo-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json;charset=UTF-8

Installation request

metadata
object

Metadata associated with the installation. This can be used to store additional information about the installation, for example external references, but it is not used by any Pleo system.

Example:
{ "externalConfigurationId": "123456789" }
status
string

This can be one of InstallationStatus values

Example:

"ACTIVATED"

Response

Installation created.

applicationId
string<uuid>
required
read-only

The unique identifier of the application this installation is for.

Example:

"123e4567-e89b-12d3-a456-426614174000"

createdAt
string<date-time>
required
read-only

The date and time when the installation was created.

Example:

"2021-01-01T00:00:00Z"

id
string<uuid>
required
read-only

The unique identifier of the installation.

Example:

"123e4567-e89b-12d3-a456-426614174000"

metadata
object
required

Additional information about the installation.

Example:
{ "key": "value" }
resource
string
required
read-only

The resource that the installation is for.

Example:

"urn:pleo:company:123e4567-e89b-12d3-a456-426614174000"

status
enum<string>
required
Available options:
ACTIVATED,
INACTIVE,
AUTHORIZED,
PENDING_INTEGRATION
updatedAt
string<date-time>
required
read-only

The date and time when the installation was last updated.

Example:

"2021-01-01T00:00:00Z"

errorCode
string
read-only

Explains the error that inactivated the installation. This appear if the installation status is inactive.

Example:

"NOT_ENTITLED"